<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex items-center gap-1 py-1 cursor-pointer hover:text-primary-500 group w-fit" (click)="op.toggle($event)">
  <div class="group-hover:underline">{{ prop.key }}</div>
  <i class="pi pi-info-circle !no-underline" style="font-size: 0.8rem"></i>
</div>
<p-overlayPanel #op>
  <div class="flex flex-col gap-4">
    <div class="text-md font-semibold text-secondary-900">{{ prop.key }}</div>
    <app-prop-info [item]="item" [prop]="prop" [hideOverflownDescription]="false"></app-prop-info>
  </div>
</p-overlayPanel>
